---
sidebar_custom_props:
  icon: TbServer
---
# Self-hosting

Right now, Docker containers are the only hosting option we support. However we are actively working on providing simple options to self-host Twenty. 
Feel free to open issues on [Github](https://github.com/twentyhq/twenty) if you want a specific cloud provider to be supported.

Refer to this list to see what future options will be available.

## Production docker containers

We provide a production-ready set of `Dockerfile`s to allow you to build your own image and deploy it to your favorite cloud provider (Amazon Web Services, Google Cloud Platform, etc.).

You will find these in the [infra/prod/front/Dockerfile](https://github.com/twentyhq/twenty/blob/main/infra/prod/front/Dockerfile) and [infra/prod/server/Dockerfile](https://github.com/twentyhq/twenty/blob/main/infra/prod/server/Dockerfile) files.

### Front

```bash
docker build \
 --build-arg REACT_APP_SERVER_BASE_URL=REPLACE_ME \
 -t twenty-front:latest \
 -f ./infra/prod/front/Dockerfile .
```

### Server

> To run the server, you will need to set the environment variables listed [here](https://github.com/twentyhq/twenty/blob/main/server/.env.example).

```bash
docker build \
  -t twenty-server:latest \
  -f ./infra/prod/server/Dockerfile .
```

## Render

[![Deploy to Render](https://render.com/images/deploy-to-render-button.svg)](https://render.com/deploy?repo=https://github.com/twentyhq/twenty)


## AWS Elastic Beanstalk (soon)

We are working on providing a joint Docker image - containing both the Twenty frontend and server - that you can deploy using [AWS Elastic Beanstalk](https://aws.amazon.com/elasticbeanstalk/).


<!--

## Railway 
[![Deploy on Railway](https://railway.app/button.svg)](https://railway.app/template/YWGqza?referralCode=3CLObs)

-->